Bug 36417 - kernel: nfs warning: mount version older than kernel caused by 2.2.19
Summary: kernel: nfs warning: mount version older than kernel caused by 2.2.19
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-18 04:46 UTC by John Gotts
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Gotts 2001-04-18 04:46:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.19 i686; en-US; 0.8.1)
Gecko/20010412


The new 2.2.19 updates for 6.2 and 7.0 cause several things to trigger the
following message: kernel: nfs warning: mount version older than kernel,
including amd.

Reproducible: Always
Steps to Reproduce:
1.Start the amd service.

Comment 1 Arjan van de Ven 2001-04-18 07:49:19 UTC
This is the reason we also made updated packages for nfsutils / mount to go with
the kernel. Please make sure you have those installed as well.


Comment 2 John Gotts 2001-04-18 09:45:17 UTC
I did, on all the machines in question.

Comment 3 John Gotts 2001-04-25 01:29:58 UTC
These messages also litter the consoles of our client machines.  Luckily 99% of
the time our users use X.

Comment 4 Rex Dieter 2001-05-07 17:19:44 UTC
I can verify that with: 
kernel-2.2.19-6.2.1
nfs-utils-0.3.1.6x
mount-2.10r-0.6.x
installed on many of our machines, I also receive the
"kernel: nfs warning: mount version older than kernel"
messages logged every time the client mounts an NFS dir.



Comment 5 Rex Dieter 2001-05-07 17:22:53 UTC
Under further investigation, this ONLY occurs on client machines when the NFS 
dirs are mounted via the am-utils automounter... and NOT when I mount things by 
hand or via autofs.  Does am-utils need to be refreshed?


Comment 6 Rex Dieter 2001-05-07 17:26:12 UTC
This seems to be a dup of 
<a href="http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=37532"
bug #37532
</a>.

Comment 7 C. Ray Ng 2001-08-24 23:04:36 UTC
Are there any workaround existed yet? I rebuilt the am-utils 6.0.3
againt the current kernel source 2.2.19-6.2.7, but it didn't help.

Latest am-utils, like 6.0.6, requires db1-devel which requires 
newer version of glibc, so can't do that either.


Comment 8 John Gotts 2001-08-25 00:52:46 UTC
Where did you find am-utils 6.0.6?  I didn't know 6.0.6 was available for Red
Hat 6.2.  Do(es) the changelog(s) for 6.0.6 indicate(s) that this bug was fixed?

Comment 9 Arjan van de Ven 2001-08-26 13:17:28 UTC
The message is harmless, although obviously annoying.

Comment 10 Bugzilla owner 2004-09-30 15:38:57 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.